# Uses of Interface
org.gitana.platform.client.webhost.AutoClientMapping

Packages that use AutoClientMapping
Package
Description
org.gitana.platform.client.support
org.gitana.platform.client.webhost

## Uses of AutoClientMapping in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return AutoClientMapping
Modifier and Type
Method
Description
`AutoClientMapping`
ObjectFactory.`autoClientMapping(WebHost webhost, Response response)`
`AutoClientMapping`
ObjectFactoryImpl.`autoClientMapping(WebHost webhost, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type AutoClientMapping
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
ObjectFactory.`autoClientMappings(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
ObjectFactoryImpl.`autoClientMappings(WebHost webhost, Response response)`

## Uses of AutoClientMapping in org.gitana.platform.client.webhost

Classes in org.gitana.platform.client.webhost that implement AutoClientMapping
Modifier and Type
Class
Description
`class`
`AutoClientMappingImpl`
Methods in org.gitana.platform.client.webhost that return AutoClientMapping
Modifier and Type
Method
Description
`AutoClientMapping`
WebHost.`createAutoClientMapping(String host, String appKey, String applicationId, String clientKey, String authGrantKey)`
`AutoClientMapping`
WebHostImpl.`createAutoClientMapping(String host, String appKey, String applicationId, String clientKey, String authGrantKey)`
`AutoClientMapping`
WebHost.`readAutoClientMapping(String autoClientMappingId)`
`AutoClientMapping`
WebHostImpl.`readAutoClientMapping(String autoClientMappingId)`
Methods in org.gitana.platform.client.webhost that return types with arguments of type AutoClientMapping
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
WebHost.`listAutoClientMappings()`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
WebHost.`listAutoClientMappings(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
WebHostImpl.`listAutoClientMappings()`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
WebHostImpl.`listAutoClientMappings(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
WebHost.`queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
WebHost.`queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
WebHostImpl.`queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
WebHostImpl.`queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.webhost with parameters of type AutoClientMapping
Modifier and Type
Method
Description
`void`
WebHost.`deleteAutoClientMapping(AutoClientMapping autoClientMapping)`
`void`
WebHostImpl.`deleteAutoClientMapping(AutoClientMapping autoClientMapping)`
`void`
WebHost.`updateAutoClientMapping(AutoClientMapping autoClientMapping)`
`void`
WebHostImpl.`updateAutoClientMapping(AutoClientMapping autoClientMapping)`